'//////////////////////////////////////////////////////////////////////////////
'//
'//  Copyright 2025 Autodesk, Inc.  All rights reserved.
'//
'//  Use of this software is subject to the terms of the Autodesk license 
'//  agreement provided at the time of installation or download, or which 
'//  otherwise accompanies this software in either electronic or hard copy form.   
'//
'//////////////////////////////////////////////////////////////////////////////
'

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices

Imports System.Runtime.InteropServices

<Assembly: ExtensionApplication(GetType(netTaper.netTaper))>
<Assembly: CommandClass(GetType(netTaper.CreateCommand))>

Namespace netTaper

    Public Class netTaper

        Implements Autodesk.AutoCAD.Runtime.IExtensionApplication

        Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize

        End Sub

        Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate

        End Sub

    End Class

    Public Class CreateCommand
        ' Define command 'netTaper'
        <Autodesk.AutoCAD.Runtime.CommandMethod("CREATETAPERSYM")>
        Public Sub taper()
            ' show dialog box
            Dim taperDialog As New frmTaper
            Application.ShowModelessDialog(taperDialog)

        End Sub
    End Class
End Namespace